# toil_caveman

[![travis badge][travis_badge]][travis_base]
[![codecov badge][codecov_badge]][codecov_base]
[![code formatting][black_badge]][black_base]

A toil wrapper for cgpCaveman.

## Usage

This package uses docker to manage its dependencies, there are 2 ways of using it:

1. Running the [container][docker_base] in single machine mode without [`--batchSystem`] support:

        # using docker
        docker run -it papaemmelab/toil_caveman --help

        # using singularity
        singularity run docker://papaemmelab/toil_caveman --help

1. Installing the python package from [pypi][pypi_base] and passing the container as a flag:

        # install package
        pip install toil_caveman

        # run with docker
        toil_caveman [TOIL-OPTIONS] [PIPELINE-OPTIONS]
            --docker papaemmelab/toil_caveman
            --volumes <local path> <container path>
            --batchSystem LSF

        # run with singularity
        toil_caveman [TOIL-OPTIONS] [PIPELINE-OPTIONS]
            --singularity docker://papaemmelab/toil_caveman
            --volumes <local path> <container path>
            --batchSystem LSF

See [docker2singularity] if you want to use a [singularity] image instead of using the `docker://` prefix.

## Contributing

Contributions are welcome, and they are greatly appreciated, check our [contributing guidelines](.github/CONTRIBUTING.md)!

## Credits

This package was created using [Cookiecutter] and the
[papaemmelab/cookiecutter-toil] project template.

[singularity]: http://singularity.lbl.gov/
[docker2singularity]: https://github.com/singularityware/docker2singularity
[cookiecutter]: https://github.com/audreyr/cookiecutter
[papaemmelab/cookiecutter-toil]: https://github.com/papaemmelab/cookiecutter-toil
[`--batchSystem`]: http://toil.readthedocs.io/en/latest/developingWorkflows/batchSystem.html?highlight=BatchSystem
[automated_badge]: https://img.shields.io/docker/cloud/automated/papaemmelab/toil_caveman.svg
[codecov_badge]: https://codecov.io/gh/papaemmelab/toil_caveman/branch/master/graph/badge.svg?token=TkoeZwFDiP
[codecov_base]: https://codecov.io/gh/papaemmelab/toil_caveman
[travis_badge]: https://travis-ci.com/papaemmelab/toil_caveman.svg?token=VymT5apURZYCYw4zJX7v&branch=v1.0.x
[travis_base]: https://travis-ci.com/papaemmelab/toil_caveman
[black_badge]: https://img.shields.io/badge/code%20style-black-000000.svg
[black_base]: https://github.com/ambv/black

<!--
[![pypi badge][pypi_badge]][pypi_base]
[![docker badge][docker_badge]][docker_base]
[![docker badge][automated_badge]][docker_base]
[docker_base]: https://hub.docker.com/r/papaemmelab/toil_caveman
[docker_badge]: https://img.shields.io/docker/cloud/build/papaemmelab/toil_caveman.svg
[pypi_badge]: https://img.shields.io/pypi/v/toil_caveman.svg
[pypi_base]: https://pypi.python.org/pypi/toil_caveman
-->
